Page MenuHomePhabricator

Error message should display when content in search field is in an unacceptable format
Closed, ResolvedPublic

Description

As per the mockup, it's confusing if there is no error message to direct a contributor to input their website correctly.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterAdd validation feedback to external link

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 12 2019, 3:51 PM
iamjessklein updated the task description. (Show Details)Jul 12 2019, 3:51 PM

Change 523170 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Add validation feedback to external link

https://gerrit.wikimedia.org/r/523170

Esanders added a comment.EditedJul 15 2019, 2:01 PM

As implemented:

Edit: Copy changed to less jargon-y "Enter a full URL, ..." at @matmarex's suggestions

Change 523170 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Add validation feedback to external link

https://gerrit.wikimedia.org/r/523170

matmarex moved this task from Incoming to QA on the VisualEditor (Current work) board.
matmarex moved this task from Inbox to High Priority on the Editing QA board.Jul 15 2019, 11:31 PM

@Esanders - what's the final copy?

"Enter a full URL, e.g. https://example.org"

Esanders added a subscriber: ppelberg.

Styling the input text as red would be an upstream change in OOUI, and would effect many more use cases, as this is a standardised widget.

We've decided to leave as is for now, and @iamjessklein may file an upstream task against OOUI to discuss this.

Ryasmeen edited projects, added Verified; removed Editing QA.Jul 26 2019, 3:09 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
ppelberg closed this task as Resolved.Jul 26 2019, 3:17 PM
ppelberg claimed this task.